Subject: Re: bug#31728: Automake and AM_WITH_DMALLOC; endorsing proprietary software?

From: Mike Frysinger <[email-masked]>
Date: Sat, 11 Dec 2021 22:37:16 -0500

On 11 Dec 2021 15:42, Karl Berry wrote:
>     i tend to agree with this sentiment that the macro doesn't really fit
>     with automake's mission.  and more importantly, i think the ecosystem
>     has grown significantly since the macro was first added back in 1996.
> 
> I also agree, but I still wouldn't want to delete the macro and thus
> gratuitously break people's working automake setups.  People might well
> have AM_WITH_DMALLOC left over from when they were debugging 20 years
> ago.  There is no reason to make them spend time thinking about it now,
> IMHO -- even if all they have to do is remove it, that's too much to ask
> for no actual gain.
> 
> Instead, let's update the doc to recognize the situation.
> Can you draft something, mentioning the other tools, along the lines of
> what you wrote in this email?
> 
> If anyone ever comes along with a need for dmalloc or to update the
> macro (unlikely), we could go further then.

i think we can still mark it obsolete even if we don't plan on deleting it
for a while.  that should at least prevent new users from showing up, and
slowly encourage people to remove existing usage.
-mike